MessagePack Java 0.6.X 快速开始指南 - 安装

honeymoose 2019-08-06

java Maven git github MessagePack

0.6.x 版本的 MessagePack 已经过期被淘汰了。如果你现在开始使用 MessagePack 话,请不要使用这个版本。

我们再这里保留 0.6.x 版本的内容主要用于参考用途。

最新的 MessagePack 版本请参考:https://github.com/msgpack/msgpack-java 中的项目源代码。

MessagePack 中文文档请参考:http://docs.ossez.com/messagepack-docs/index.html

MessagePack 测试和示例源代码:https://github.com/cwiki-us-demo/serialize-deserialize-demo-java

这个指南提供了使用 msgpack-java 的快速指南。在开始的时候,我们将会介绍如何安装 msgpack-java,然后将会运行如何使用 msgpack 来对对象序列化/反序列化(serialize/deserizalize)对象。

安装

你可以使用下面 2 种方法来安装 msgpack-java —— 从 maven 下载或者直接构建 jar 包。

从 Maven2 仓库中进行安装

MessagePack 针对 Java 的使用已经发布到 Maven 的中央仓库中(Maven Central Repository)。你可以使用下面的参数来配置你项目的 pom.xml 文件。


    org.msgpack
    msgpack
    ${msgpack.version}

你需要将 ${msgpack.version} 替换为当前的 MessagePack 版本,有关可以使用的具体版本你可以访问 http://repo1.maven.org/maven2/org/msgpack/msgpack/ 中的版本。

请注意,在 0.6.x 版本中最新的版本只更新到 0.6.12。

从 git 仓库中进行安装

你可以从代码仓库中获得最新的代码。

$ git clone git@github.com:msgpack/msgpack-java.git
$ cd msgpack-java
$ mvn package

使用上面的代码进行编译后,你将会在 msgpack-java/target 目录中得到 msgpack.jar 包。

同时你也需要 https://code.google.com/p/json-simple/ 和 https://github.com/jboss-javassist/javassist 来让 msgpack.jar 可以在项目中使用。否则你将会收到  NoClassDefFoundError 错误。

https://www.cwiki.us/display/Serialization/QuickStart+For+MessagePack+Java+0.6.X

登录 后评论
下一篇
冒顿单于
10062人浏览
2019-08-28
相关推荐
0
0
0
126